/* Stages ================ */

@import "./src/lib/core/variables";
@import "./src/lib/mixins/panel_styles";

.stages {
  padding-bottom: 40px;

  @include mq("tablet", "max") {
    padding-bottom: 20px;
  }
}

.stages__content {
  padding-top: 55px;
  padding-right: 40px;
  padding-bottom: 70px;
  padding-left: 40px;
  text-align: center;
  background: url("../images/stage_bg.jpg") no-repeat;
  background-position: center;
  background-size: cover;

  @include panelStyles;

  @include mq("tablet", "max") {
    padding-top: 30px;
    padding-bottom: 30px;
  }

  @include mq("tablet-small", "max") {
    padding-right: 20px;
    padding-left: 20px;
  }
}

.stages__header {

  @include mq("tablet", "max") {
    margin-bottom: 20px;
  }
}

.stages__list {
  display: grid;
  grid-template-columns: repeat(4, 300px);
  justify-content: space-between;

  @include mq("desktop-fullhd", "max") {
    grid-gap: 15px;
    grid-template-columns: repeat(4, 1fr);
  }

  @include mq("tablet-small", "max") {
    grid-template-columns: repeat(2, 180px);
    justify-content: center;
  }

  @include mq("phone-large", "max") {
    grid-template-columns: repeat(2, 1fr);
  }

  @include mq("phone", "max") {
    grid-gap: 15px;
    grid-template-columns: repeat(1, 150px);
  }
}

.stages__item {

  &:first-child,
  &:last-child {

    .stage__icon {
      right: 30px;

      @include mq("tablet", "max") {
        right: 35px;
      }
    }
  }

  &:last-child {

    .stage__icon {

      @include mq("tablet", "max") {
        right: 30px;
      }
    }
  }
}

.stage {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.stage__icon {
  position: absolute;
  top: 16%;
  right: 0;

  @include mq("desktop-fullhd", "max") {
    top: 10%;
    right: 10px;
    max-width: 43%;
    max-height: 35%;
  }

  @include mq("tablet", "max") {
    top: 5px;
    right: 25px;
    max-width: 30%;
  }
}

.stage__num {
  display: block;
  color: $color-secondary;
  font-weight: $text-weight-bold;
  font-size: 252px;
  text-align: center;
  user-select: none;

  @include mq("desktop-fullhd", "max") {
    font-size: 200px;
  }

  @include mq("tablet", "max") {
    font-size: 100px;
  }
}

.stage__text {
  max-width: 230px;
}
/* ================ end stages */
